all : ponytracker clean

ponytracker : maintest.o lecture.o motifs.o melodie.o
	gcc -std=c99  -L'../fmod/lib' -lfmodex64 -Wall maintest.o lecture.o motifs.o melodie.o -o ponytracker `pkg-config --cflags --libs gtk+-3.0 gmodule-2.0`

maintest.o : maintest.c
	gcc -std=c99 -Wall -c maintest.c `pkg-config --cflags --libs gtk+-3.0 gmodule-2.0`

motifs.o : ../motifs/motifs.c ../motifs/motifs.h
	gcc -std=c99 -Wall -c ../motifs/motifs.c

melodie.o : ../melodie/melodie.c ../melodie/melodie.h
	gcc -std=c99 -Wall -c ../melodie/melodie.c

lecture.o : ../lecture/lecture.c ../lecture/lecture.h
	gcc -std=c99 -Wall -c ../lecture/lecture.c

clean :
	rm -f *.o
